import Counter from "@/feature/messenger/components/ui/badges/Counter";
import { useTranslation } from "@/src/hooks/useTranslation";
import { Button } from "@nextui-org/react";
import { GiHamburgerMenu } from "react-icons/gi";
import NavbarMobile from "./NavbarMobile";



export default function HeaderConversations() {

    const { trans } = useTranslation();

    return (
        <header className="md:p-4 md:h-24 flex justify-start items-center dark:bg-gray-700">
            <NavbarMobile />
            <div className="hidden md:flex w-full justify-between items-center">
                <div className="w-full flex justify-start items-center gap-x-1">

                    <Button className="hidden lg:hidden min-w-8 min-h-8 size-8 w-8 h-8 p-0" color="default" radius="full" variant="light" aria-label="Like">
                        <GiHamburgerMenu className="size-6 text-gray-500" />
                    </Button>
                    <div className="hidden md:block text-2xl font-bold text-gray-700 md:text-black">{trans("header_conversations_title")}</div>
                </div>
                <div>
                    <Counter />
                </div>
            </div>
        </header>
    )
}